from setuptools import setup, find_packages

setup(
    name="sheetbuddy",
    version="3.1.1",
    author="Ashish Rogannagari",
    author_email="Ashishrogannagari98@gmail.com",
    description="A library for data summary and analysis from various formats such as CSV, API, URL, etc.",
    long_description=open('README.md').read(),
    long_description_content_type="text/markdown",
    url="https://github.com/AshishRogannagari/sheetbuddy",
    package_dir={"": "src"},
    install_requires=[
    "pandas",
    "numpy",
    "requests",
    "openpyxl",
    "tqdm",
    "matplotlib",
    "seaborn",
    "scipy",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
        'License :: OSI Approved :: MIT License',
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Intended Audience :: Science/Research",
        "Intended Audience :: Education",
        "Topic :: Scientific/Engineering",
        "Topic :: Scientific/Engineering :: Mathematics",
        "Topic :: Scientific/Engineering :: Visualization",
        "Topic :: Scientific/Engineering :: Information Analysis",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",
        "Topic :: Software Development",
        "Topic :: Software Development :: Libraries",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Natural Language :: English",
    ],
    keywords=[
        "data analysis",
        "data summary",
        "CSV",
        "API",
        "URL",
        "pandas",
        "requests",
        "openpyxl",
        "tqdm",
        "excel",
        "eda",
        "data",
        "data science",
        "data engineering",
        "data analytics",
        "data visualization",
        "data manipulation",
        "data cleaning",
        "data wrangling",
        "data preprocessing",
        "data transformation",
        "data exploration",
        "data mining",
        "data modeling",
        "data interpretation",
        "data presentation",
        "data reporting",
        "data storytelling",
    ],
    python_requires='>=3.7',
)
